> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.getunleash.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server.

# [BETA] Gets configured context fields

GET https://app.unleash-instance.example.com/api/admin/projects/{projectId}/context

**[BETA]** This API is in beta state, which means it may change or be removed in the future.

Returns all configured [Context fields](https://docs.getunleash.io/concepts/unleash-context) that have been created.

Reference: https://docs.getunleash.io/api/get-context-fields-for-project

## Authentication

- `Authorization` header (required) — API key needed to access this API
- `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format

## Request

### Path parameters

- `projectId` (string, required)

### Query parameters

- `include` (string, optional) — Whether the response should include project-specific or root context fields in addition to the fields in the default response. When querying the root context API, `include=project` will yield a response that includes all project-specific context fields in addition to all root context fields. Conversely, when querying a project-specific context API, using `include=root` will yield a response that includes all root context fields in addition to the project-specific context fields. The other combinations have no effect, because the responses already include those fields. When including project-specific context fields via the root-level API, context fields in private projects the user does not have access to will be omitted.

## Response

### 200

contextFieldsSchema

- `list of object`
  - `name` (string, required) — The name of the context field
  - `description` (string, optional, nullable) — The description of the context field.
  - `stickiness` (boolean, optional) — Does this context field support being used for [stickiness](https://docs.getunleash.io/concepts/stickiness) calculations
  - `sortOrder` (integer, optional) — Used when sorting a list of context fields. Is also used as a tiebreaker if a list of context fields is sorted alphabetically.
  - `createdAt` (string, optional, nullable) — When this context field was created
  - `usedInFeatures` (integer, optional, nullable) — Number of projects where this context field is used in
  - `usedInProjects` (integer, optional, nullable) — Number of projects where this context field is used in
  - `legalValues` (list of object, optional) — Allowed values for this context field schema. Can be used to narrow down accepted input
    - `value` (string, required) — The valid value
    - `description` (string, optional) — Describes this specific legal value
  - `project` (string, optional) — The project this context field belongs to (if it is project-specific)

## Examples

**Response**

```json
[
  {
    "name": "userId",
    "description": "Used to uniquely identify users",
    "stickiness": true,
    "sortOrder": 900,
    "createdAt": "2023-06-29T10:19:00.000Z",
    "usedInFeatures": 3,
    "usedInProjects": 2,
    "legalValues": [
      {
        "value": "#c154c1",
        "description": "Deep fuchsia"
      }
    ],
    "project": "my-project"
  }
]
```

**SDK Code**

```python
import requests

url = "https://app.unleash-instance.example.com/api/admin/projects/projectId/context"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.unleash-instance.example.com/api/admin/projects/projectId/context';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://app.unleash-instance.example.com/api/admin/projects/projectId/context"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.unleash-instance.example.com/api/admin/projects/projectId/context")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://app.unleash-instance.example.com/api/admin/projects/projectId/context")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://app.unleash-instance.example.com/api/admin/projects/projectId/context', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.unleash-instance.example.com/api/admin/projects/projectId/context");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/projects/projectId/context")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```